{% extends "customers/base.html" %}
{% load staticfiles %}
{% load widget_tweaks %}
{% load humanize %}
{% load price_tag %}
{% block title %}Ingreso documento manual{% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item"><a href="{{url }}billing/">Pagos</a></li>
		<li class="breadcrumb-item active">Nuevo Pago Manual</li>
	  </ol>
	  <!-- end breadcrumb -->
	  
	  
	  <!-- begin page-header -->
	  <h1 class="page-header">Pago Manual <small>nuevo</small></h1>
	  <!-- end page-header -->

 <!-- begin row -->
 <div class="row">
		<!-- begin col-6 -->
		<div class="col-xl-6 ui-sortable">
		  <!-- begin panel -->
		  <div class="panel panel-inverse" data-sortable-id="ui-general-1">
			<!-- begin panel-heading -->
			<div class="panel-heading ui-sortable-handle">
			  <h4 class="panel-title">Ingrese un pago manual</h4>
			  <div class="panel-heading-btn">
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
			  </div>
			</div>
			<!-- end panel-heading -->
			<!-- begin panel-body -->
			<div class="panel-body">
	<form class="form-horizontal" method="post" enctype="multipart/form-data">
	  {% csrf_token %}

	  <div class="form-group row m-b-15">
	    <label for="{{ form.paid_on.auto_id }}" class="col-form-label col-md-3">Fecha del Pago</label>
	    <div class="col-sm-9">
	      {% render_field form.paid_on class="form-control m-b-5" %}

	      {% for error in form.paid_on.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>
		
		<div class="form-group row m-b-15">
	    <label for="{{ form.deposited_on.auto_id }}" class="col-form-label col-md-3">Fecha del depósito</label>
	    <div class="col-sm-9">
	      {% render_field form.deposited_on class="form-control m-b-5" %}

	      {% for error in form.deposited_on.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>
		
		<div class="form-group row m-b-15">
	    <label for="{{ form.amount.auto_id }}" class="col-form-label col-md-3">Monto</label>
	    <div class="col-sm-9">
	      {% render_field form.amount class="form-control m-b-5" %}

	      {% for error in form.amount.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>
		
		<div class="form-group row m-b-15">
			<label for="{{ form.tasa.auto_id }}" class="col-form-label col-md-3">Tasa conversión </label>
			<div class="col-sm-9">
				{% render_field form.tasa class="form-control m-b-5" %}
	
				{% for error in form.tasa.errors %}
				<small class="f-s-12 text-danger">{{ error }}</small>
				{% endfor %}
			</div>
		</div>
		<div class="form-group row m-b-15">
	    <label for="{{ form.kind.auto_id }}" class="col-form-label col-md-3">Tipo</label>
	    <div class="col-sm-9">
	      {% render_field form.kind class="form-control m-b-5" %}

	      {% for error in form.kind.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>
		
		<div class="form-group row m-b-15">
	    <label for="{{ form.operation_number.auto_id }}" class="col-form-label col-md-3">Número de operación</label>
	    <div class="col-sm-9">
	      {% render_field form.operation_number class="form-control m-b-5" %}

	      {% for error in form.operation_number.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>

		<div class="form-group row m-b-15">
	    <label for="{{ form.proof.auto_id }}" class="col-form-label col-md-3">Comprobante de pago</label>
	    <div class="col-sm-9">
	      {% render_field form.proof class="form-control m-b-5" %}

	      {% for error in form.proof.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>
		
		<div class="form-group row m-b-15">
	    <label for="{{ form.proof2.auto_id }}" class="col-form-label col-md-3">Comprobante de pago 2</label>
	    <div class="col-sm-9">
	      {% render_field form.proof2 class="form-control m-b-5" %}

	      {% for error in form.proof2.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>
		
		<div class="form-group row m-b-15">
	    <label for="{{ form.proof3.auto_id }}" class="col-form-label col-md-3">Comprobante de pago 3</label>
	    <div class="col-sm-9">
	      {% render_field form.proof3 class="form-control m-b-5" %}

	      {% for error in form.proof3.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>

		<div class="form-group row m-b-15">
	    <label for="{{ form.proof4.auto_id }}" class="col-form-label col-md-3">Comprobante de pago 4</label>
	    <div class="col-sm-9">
	      {% render_field form.proof4 class="form-control m-b-5" %}

	      {% for error in form.proof4.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>
		
		<div class="form-group row m-b-15">
	    <label for="{{ form.comment.auto_id }}" class="col-form-label col-md-3">Comentario</label>
	    <div class="col-sm-9">
	      {% render_field form.comment class="form-control m-b-5" %}

	      {% for error in form.comment.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>
		
		<div class="form-group row m-b-15">
	    <label for="{{ form.operator.auto_id }}" class="col-form-label col-md-3">Operador de pago</label>
	    <div class="col-sm-9">
			<select name="operator" class="form-control"  required id="id_operator">
				{%if if_todos %}
				{%for b in operadores %}
				<option value="{{b.id}}">{{b.name}}</option>
				{%endfor%}
				{% else%}
				{%for b in operadores %}
				<option value="{{current_operator}}">{{current_operator_name}}</option>
				{%endfor%}
				{%endif%}
				</select>
	    </div>
		</div>
		
		<div class="form-group row m-b-15">
	    <label for="{{ form.bank_account.auto_id }}" class="col-form-label col-md-3">Cuenta</label>
	    <div class="col-sm-9">
	      {% render_field form.bank_account class="form-control m-b-5" %}

	      {% for error in form.bank_account.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>

		<div class="form-group row m-b-15">
			<label for="{{ form.number_document.auto_id }}" class="col-form-label col-md-3">Número de Documento (Cartola)</label>
			<div class="col-sm-9">
			  {% render_field form.number_document class="form-control m-b-5" %}
	
			  {% for error in form.number_document.errors %}
			  <small class="f-s-12 text-danger">{{ error }}</small>
			  {% endfor %}
			</div>
			</div>
		{%ifequal not_show "t" %}
		<div class="form-group row m-b-15" hidden >
				<label for="{{ form.service.auto_id }}" class="col-form-label col-md-3">Servicio</label>
				<div class="col-sm-9">
						<select name="service" class="form-control m-b-5" id="id_service" multiple="multiple" required>
								{%for q in actual_service %}
								<option value="{{q.id}}" selected>{{q}}</option>
								{%endfor%}
								</select>
								
					{% for error in form.service.errors %}
					<small class="f-s-12 text-danger">{{ error }}</small>
					{% endfor %}
				</div>
			</div>
		{%else%}
		<div class="form-group row m-b-15">
	    <label for="{{ form.service.auto_id }}" class="col-form-label col-md-3">Servicio</label>
	    <div class="col-sm-9">
					<select name="service" class="form-control m-b-5" id="id_service" multiple="multiple" required>
							{%for i in service %}
							<option value="{{i.id}}">{{i}}</option>
							{%endfor%}
							</select>
							
	      {% for error in form.service.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>
		{%endifequal%}
		<div class="form-group row m-b-15">
			<label for="{{ form.invoice.auto_id }}" class="col-form-label col-md-3">Boletas</label>
			<div class="col-sm-9">
						<select name="invoice" class="form-control m-b-5" id="id_invoice"  multiple="multiple">
								{%for i in boletas %}
								<option value="{{i.id}}">{{i.comment}} {{i.due_date}} ${{i.total | price_tag }} </option>
								{%endfor%}
								</select>
								
				{% for error in form.invoice.errors %}
				<small class="f-s-12 text-danger">{{ error }}</small>
				{% endfor %}
	</div>
	</div>
	  <input type="submit" value="Crear" class="btn btn-primary">
	  <a href="{{ cancel_url }}" class="btn btn-default">Cancelar</a>
	</form>

</div>
<!-- end panel-body -->
</div>
<!-- end panel -->
</div>
<!-- end col-6 -->

<!-- begin col-6 -->
<div class="col-xl-6 ui-sortable">
		<!-- begin panel -->
		<div class="panel panel-inverse" data-sortable-id="ui-general-1">
		  <!-- begin panel-heading -->
		  <div class="panel-heading ui-sortable-handle">
			<h4 class="panel-title">Cliente</h4>
			<div class="panel-heading-btn">
			  <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
			  <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
			  <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
			  <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
			</div>
		  </div>
		  <!-- end panel-heading -->
		  <!-- begin panel-body -->
		  <div class="panel-body">
	{% if True %}
	<h4>{{ customer }}</h4>

	<p>{{ customer.rut }}</p>

	<h5>Números de servicio:</h5>
	<ul>
	{% for cc in customer.service_set.all %}
	<li><a href="{{ cc.get_absolute_url }}">{{ cc.number }}</a></li>
	{% endfor %}
	</ul>

	{%if actual %}
	<h5>Servicio:</h5>
	<p>{{actual}}</p>
	{%endif%}

	<h5>Últimos 12  pagos y boletas</h5>
	<table class="table table-hover">
	  <thead>
	    <tr>
	      <th>Fecha</th>
	      <th>Boleta ($)</th>
	      <th>Pago ($)</th>
	    </tr>
	  </thead>
	  <tbody>
	    {% for record in re.records|slice:":12" %}
	    <tr>
	      <td><a href="{% url 'invoice-list' customer.pk %}">{{ record.ts|date:"d-m-Y" }}</a></td>
	      <td>{% if record.charge %}{{ record.charge|price_tag }}{% endif %}</td>
	      <td>{% if record.credit %}{{ record.credit|price_tag }}{% endif %}</td>
	    </tr>
	  {% endfor %}
	  </tbody>
	</table>

	<h5>RUT pagadores</h5>
	<ul>
	  {% for rut in customer.payorrut_set.all %}
	  <li><a href="{% url 'customer-payment-methods' customer.pk %}">{{ rut.rut }}</a></li>
	  {% endfor %}
	</ul>
	{% endif %}
</div>
<!-- end panel-body -->
</div>
<!-- end panel -->
</div>
<!-- end col-6 -->
{% endblock %}


{% block pageleveljs %}
<script>

	$(document).ready(function(){
		function change_invoice(){
		
		service_id = $("#id_service").val();
		{% if form.service.value %}
			var invoice = {{form.invoice.value}};
		{% else %}
			var invoice = null
		{% endif %}
	
		$.get("{% url 'manual_new_ajax_service' %}", {service: service_id}, function(json_response) {
			var invoice = json_response.data['invoice']
			$("#id_invoice").empty()
    $("#id_invoice").append(option);
			for (var i = 0; i < invoice.length; i++){

					if (invoice && invoice[i].id == invoice){
        var option = $('<option></option>').attr("value", invoice[i].id).text(invoice[i].comment+ " " +invoice[i].due_date+ " $" +invoice[i].total).attr('selected', 'selected');
					}
					else{
        	var option = $('<option></option>').attr("value", invoice[i].id).text(invoice[i].comment+ " " +invoice[i].due_date+ " $" +invoice[i].total);
      	}
				$("#id_invoice").append(option);
			}

		});
	}

		function change_account(){
			operator_id = document.getElementById("id_operator").value;
	
			$.get("{% url 'manual_payment_new_ajax' %}", {operator: operator_id}, function(json_response) {
				var bank_accounts = json_response.data['bank_accounts']
				$("#id_bank_account").empty()
				kind = $("#id_kind").val()
				if (kind != 3 && kind != 6 && kind != 7 && kind != 12){
					var option = $('<option></option>').attr("value", '').text('----------');
        	$("#id_bank_account").append(option);
				}

				for (var i = 0; i < bank_accounts.length; i++){
					var option = $('<option></option>').attr("value", bank_accounts[i].id).text(bank_accounts[i].tag + " - " + bank_accounts[i].account_number);
					$("#id_bank_account").append(option);
				}

			});
		}
		change_account();
		$('#id_operator').on('change',function(){
			change_account();
		})

		$('#id_service').on('click',function(){
		change_invoice();
	});
		$('#id_kind').on('change',function(){
			change_account();
		})
		
	});
</script>
{% endblock %}
